#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import math
import time
import copy
import numpy as np

from redcp import * # import data types

import scipy.ndimage as ndimg
import skimage.measure as skm

CELL_FREE = 0.4 ## < value of free cell
CELL_OCCU = 0.6 ## > value of occupied cell

class Frontiers:
    def __init__(self):
        pass

    def find_free_edge_frontiers_representatives(self, grid_map: OccupancyGrid):
        """Method to find the representatives of free-edge frontiers (edge clusters between the free and unknown areas)
        Args:
            grid_map: OccupancyGrid - gridmap of the environment
        Returns:
            pose_list: Pose[] - list of selected representatives of the free edges
        """
        if grid_map is None:
            return []

        ## [t1e-frontiers] Implement frontiers detection with clustering and free edge representatives
        grid_map = grid_map.clone() # Clone the grid_map to avoid changes to the input grid

        centroids = []

        centroid_poses = [grid_map.map_to_world(c) for c in centroids]
        return centroid_poses
